API

Get Started

WelcomeQuickstartGuidesChangelogSDKs and ToolsAdditional Info

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Tax Lot Selling

GETGet unrealized tax lotsGETGet unrealized tax lots for symbolGETGet unrealized tax lots csv

Instrument Details

GETGet all instrumentsGETGet instrumentGETSearch bonds

Market Data

POSTGet quotesGETGet bond detailsPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Orders

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTSearch ordersPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeksPOSTGet strategy quote
HelpFeedback
Orders

Search orders

Search order details

Search order details and status for orders fulfilling defined criteria. Retrieve up to 500 orders. Works only for orders created within last 30 days.

POST/userapigateway/trading/{accountId}/order/search

Parameters

Path Parameters

string

Request body

Required*

Parameters

NameTypeRequiredDescription
accountIdstringYes-

Body

application/json

Request Body

application/json
statusenum<string>
Available options: NEW,PARTIALLY_FILLED,CANCELLED,QUEUED_CANCELLED,FILLED,REJECTED,PENDING_REPLACE,PENDING_CANCEL,EXPIRED,REPLACED
createdAfterstring
createdBeforestring
instrumentsobject[]
sideenum<string>
Available options: BUY,SELL
openCloseIndicatorenum<string>
Available options: OPEN,CLOSE
securityTypeenum<string>
Available options: EQUITY,OPTION,MULTI_LEG_INSTRUMENT,CRYPTO,ALT,TREASURY,BOND,INDEX,EVENTCONTRACT

Responses

Response

200
application/json
ordersobject[]

Response

404
application/json
ordersobject[]
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "orders": [
    {
      "orderId": "string",
      "bracketId": "string",
      "instrument": {
        "symbol": "string",
        "type": "EQUITY"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "type": "MARKET",
      "side": "BUY",
      "status": "NEW",
      "quantity": "string",
      "notionalValue": "string",
      "expiration": {
        "timeInForce": "DAY",
        "expirationTime": "2023-11-07T05:31:56Z"
      },
      "limitPrice": "string",
      "stopPrice": "string",
      "closedAt": "2023-11-07T05:31:56Z",
      "openCloseIndicator": "OPEN",
      "filledQuantity": "string",
      "averagePrice": "string",
      "legs": [
        {
          "instrument": {
            "symbol": "string",
            "type": "EQUITY"
          },
          "side": "BUY",
          "openCloseIndicator": "OPEN",
          "ratioQuantity": 123
        }
      ],
      "equityMarketSession": "REGULAR",
      "filledAt": "2023-11-07T05:31:56Z",
      "replacedAt": "2023-11-07T05:31:56Z",
      "lastModified": "2023-11-07T05:31:56Z",
      "trades": [
        {
          "instrument": {
            "symbol": "string",
            "type": "EQUITY"
          },
          "quantity": "string",
          "price": "string",
          "side": "BUY",
          "tradeId": "string",
          "timestamp": "2023-11-07T05:31:56Z"
        }
      ],
      "rejectReason": "string"
    }
  ]
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more